package org.sat4j;

import java.awt.Color;

public enum ResultCode {
	OK(1, Color.BLUE), KO(4, Color.RED), WARNING(3, Color.ORANGE), UPDATED(0, Color.GREEN), UNKNOWN(5, Color.BLACK);

	private final transient Color c;
	private final transient int value;
	
	private ResultCode(final int value, final Color c) {
		this.c = c;
		this.value = value;
	}
	
	public final int getValue() {
		return value;
	}
	
	public final Color getColor() {
		return c;
	}
}
