package org.sat4j.minisat.constraints;

import java.math.BigInteger;

import org.sat4j.minisat.constraints.pb.IDataStructurePB;
import org.sat4j.minisat.constraints.pb.MaxWatchPb;
import org.sat4j.minisat.constraints.pb.PBConstr;
import org.sat4j.specs.ContradictionException;
import org.sat4j.specs.IVec;
import org.sat4j.specs.IVecInt;

public class PBMaxClauseCardConstrDataStructure extends
		PuebloPBMinClauseCardConstrDataStructure {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	protected PBConstr constructPB(IDataStructurePB mpb)
			throws ContradictionException {
		return MaxWatchPb.normalizedMaxWatchPbNew(solver, getVocabulary(), mpb);
	}

	protected PBConstr constructLearntPB(IVecInt literals,
			IVec<BigInteger> coefs, BigInteger degree) {
		return MaxWatchPb.watchPbNew(getVocabulary(), literals, coefs, true,
				degree);
	}

}
