/**
 * 
 */
package org.sat4j.minisat.constraints.pb;

import java.math.BigInteger;

import org.sat4j.minisat.core.Constr;
import org.sat4j.minisat.core.ILits;
import org.sat4j.specs.IVecInt;

/**
 * @author anne
 *
 */
public interface PBConstr extends Constr {

		public BigInteger getCoef(int literal);
		
		public BigInteger getDegree();
		
		public ILits getVocabulary();
		
		public int[] getLits();
		
		public BigInteger[] getCoefs();
				
		public IVecInt computeAnImpliedClause();
}
