package org.sat4j.minisat.constraints;

import org.sat4j.minisat.constraints.pb.MixableCBClausePB;
import org.sat4j.minisat.constraints.pb.PBConstr;
import org.sat4j.specs.IVecInt;

public class PBMaxCBClauseCardConstrDataStructure extends
		PBMaxClauseCardConstrDataStructure {

	public PBMaxCBClauseCardConstrDataStructure() {
		super();
	}

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;


	protected PBConstr constructClause(IVecInt v) {
		return MixableCBClausePB.brandNewClause(solver, getVocabulary(), v);
	}


	protected PBConstr constructLearntClause(IVecInt literals) {
		return new MixableCBClausePB(literals, getVocabulary());
	}

}
