package org.sat4j.minisat.constraints;

import org.sat4j.minisat.constraints.pb.AtLeastPB;
import org.sat4j.minisat.constraints.pb.PBConstr;
import org.sat4j.specs.ContradictionException;
import org.sat4j.specs.IVecInt;

public class PBMaxClauseAtLeastConstrDataStructure extends
		PBMaxClauseCardConstrDataStructure {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	protected PBConstr constructCard(IVecInt lits, int degree) throws ContradictionException{
		return AtLeastPB.atLeastNew(solver, getVocabulary(),
				lits, degree);
	}

	protected PBConstr constructLearntCard(IVecInt literals,
			int degree){
		//return new MinWatchCardPB(getVocabulary(),literals,true,degree);
		return AtLeastPB.atLeastNew(getVocabulary(),literals,degree);
	}

	
}
