package org.sat4j.minisat.constraints.pb;

import org.sat4j.minisat.core.AssertingClauseGenerator;
import org.sat4j.minisat.core.Constr;
import org.sat4j.minisat.core.DataStructureFactory;
import org.sat4j.minisat.core.IOrder;
import org.sat4j.minisat.core.LearningStrategy;

public class PBSolverClause extends PBSolver {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public PBSolverClause(AssertingClauseGenerator acg,
			LearningStrategy learner, DataStructureFactory dsf, IOrder order) {
		super(acg, learner, dsf, order);
	}

	IConflict chooseConflict(Constr myconfl) {
		return ConflictArrayClause.createConflict((PBConstr) myconfl);
	}

    @Override
    public String toString(String prefix) {
        return super.toString(prefix)+"\n"+prefix+"Simplify asserted PB constraints to clauses";
    }
}
