package org.sat4j.minisat.core;


final class NullSearchListener implements SearchListener  {
	private static final long serialVersionUID = 1L;

	public void assuming(int p) {
    }

    public void propagating(int p) {
    }

    public void backtracking(int p) {
    }

    public void adding(int p) {
    }

    public void learn(Constr clause) {
    }

    public void delete(int[] clause) {
    }

    public void conflictFound() {
    }

    public void solutionFound() {
    }

    public void beginLoop() {
    }

	public void start() {
	}

	public void end(Lbool result) {
	}
}
