package org.sat4j.minisat.learning;

import org.sat4j.minisat.core.Constr;
import org.sat4j.minisat.core.LearningStrategy;
import org.sat4j.minisat.core.VarActivityListener;

abstract class AbstractLearning implements LearningStrategy {

    /**
     * 
     */
    private static final long serialVersionUID = 1L;
    private VarActivityListener val;

    public void setVarActivityListener(VarActivityListener s) {
        this.val = s;
    }

    public final void claBumpActivity(Constr reason) {
        for (int i = 0; i < reason.size(); i++) {
            int q = reason.get(i);
            assert q > 1;
            val.varBumpActivity(q);
        }
    }

    public void init() {
    }

}
