package org.sat4j.reader;
import org.sat4j.reader.csp.SupportsGeneralizedACEncoding;
import org.sat4j.specs.ISolver;

public class CSPExtSupportReader extends CSPReader {
    
    public CSPExtSupportReader(ISolver solver) {
        super(solver);
    }

    @Override
    protected void manageAllowedTuples(int relnum, int[] domains, int nbtuples) {
        relations[relnum] = new SupportsGeneralizedACEncoding(domains, nbtuples);
    }
}